{
  lib,
  pkgs,
  config,
  ...
}:
{
  home = {
    username = "harald";
    homeDirectory = "/Users/${config.home.username}";
    stateVersion = "23.11"; # Please read the comment before changing.
    # sessionPath = [ "$HOME/bin" ];
  };

  metacfg = {

    cli-apps = {
      bash.enable = true;
      fish.enable = true;
      neovim.enable = true;
      bat.enable = true;
      starship.enable = true;
      #home-manager.enable = true;
    };

    tools = {
      ssh.enable = true;
      git.enable = true;
    };
  };
}
